require_relative 'yan_speller/speller'

module YanSpeller

    MAJOR = '1'
    MINOR = '0'
    PATCH = '1'

  def self.version
     
    [ MAJOR, MINOR, PATCH ].join '.'

  end

  def self.check text
    speller = Speller.new
    result = speller.check_spell(text)
    if result == :no_spell_errors
    	puts 'No errors.It is all good and right.'
    elsif result == :request_fail
    	puts 'Fail to get an answer.'
    else
    	puts speller.errors_to_s
    end
  end

end


puts 'Type some text for spell checking:'
text = gets.chomp.to_s
p YanSpeller::check text
