require 'net/http'
# require 'uri'

module YanSpeller
  class SpellRequest

  	DATA_URL = 'http://speller.yandex.net/services/spellservice.json/checkText'

    attr_reader :success

    def initialize
      @success = false
    end

    def send text_for_check
      @success = false
      uri = URI(DATA_URL)
      params = { text: text_for_check, ie: 'utf-8' }
      uri.query = URI.encode_www_form params
      result = Net::HTTP.get_response(uri)
      @success = result.is_a? Net::HTTPSuccess
      result
    end

    alias success? success

  end
end